Bug 14142 - Missing folders in gnome-packagekit module on svn.gnome.org
Summary: Missing folders in gnome-packagekit module on svn.gnome.org
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-19 13:40 UTC by Luca Ferretti
Modified: 2008-01-29 11:21 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luca Ferretti 2008-01-19 13:40:50 UTC
I was trying to add PackageKit and gnome-packagekit to jhbuild.

Running autogen.sh in g-pk I've:

src/Makefile.am:203: compiling `pk-common-gui.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.in'
configure.in:133: required file `libselftest/Makefile.in' not found
configure.in:133: required file `libgbus/Makefile.in' not found
configure.in:133: required file `data/icons/Makefile.in' not found
configure.in:133: required file `data/icons/16x16/Makefile.in' not found
configure.in:133: required file `data/icons/22x22/Makefile.in' not found
configure.in:133: required file `data/icons/24x24/Makefile.in' not found
configure.in:133: required file `data/icons/48x48/Makefile.in' not found
configure.in:133: required file `data/icons/scalable/Makefile.in' not found
configure.in:133: required file `data/icons/16x16/categories/Makefile.in' not found
configure.in:133: required file `data/icons/16x16/status/Makefile.in' not found
configure.in:133: required file `data/icons/22x22/categories/Makefile.in' not found
configure.in:133: required file `data/icons/22x22/status/Makefile.in' not found
configure.in:133: required file `data/icons/24x24/categories/Makefile.in' not found
configure.in:133: required file `data/icons/24x24/status/Makefile.in' not found
configure.in:133: required file `data/icons/48x48/categories/Makefile.in' not found
configure.in:133: required file `data/icons/48x48/status/Makefile.in' not found
configure.in:133: required file `data/icons/scalable/categories/Makefile.in' not found
configure.in:133: required file `data/icons/scalable/status/Makefile.in' not found
Makefile.am:1: required directory ./libselftest does not exist
Makefile.am:1: required directory ./libgbus does not exist

It seems the libselftest, libgbus and data/icons directory are missing on svn.gnome.org but still listed in AC_OUTPUT and relevant Makefile.am.

So what's the purpose of the module on svn.gnome.org? is it the "official" source to grab g-pk from version system? the official place for translators to commit[1]?

And, do I've to use git.fd.o to get sources for jhbuild?
Comment 1 Luca Ferretti 2008-01-19 13:46:44 UTC
Forgot to mention: if the g-pk module on svn.gnome.org is here to allow translation commits, then you should avoid to accept translators from "unknown" people (like in bug #12850) and redirect them to their own GNOME local team (http://l10n.gnome.org/teams/) for suggestions, reviews, and rules to commit PO files on svn.gnome.org
Comment 2 Richard Hughes 2008-01-20 14:27:28 UTC
Luca, the svn partial mirror is more for translation .po's to flow into git, it's not tested for a complete checkout for building. I'll see what I can do now to add all the latest stuff.
Comment 3 Richard Hughes 2008-01-20 14:48:12 UTC
I think svn should build now - also you'll want to use "git clone git://people.freedesktop.org/~hughsient/gnome-packagekit" for jhbuild as it will contain the latest stable code.
Comment 4 Luca Ferretti 2008-01-22 01:54:38 UTC
OK, I'll try a checkout from gnome svn but I'll add the jhbuild moduleset using anongit.
Comment 5 Richard Hughes 2008-01-29 11:21:00 UTC
Should be fixed now, thanks.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.